Subject: Re: bug#58928: 29.0.50; overlays in org-mode are disrupted after call `org-capture`

From: Eason Huang <[email-masked]>
Date: Thu, 03 Nov 2022 23:02:10 +0800

Gerd Möllmann <[email-masked]> writes:

> Eason Huang <[email-masked]> writes:
>
>> Stefan Monnier <[email-masked]> writes:
>>
>>>> I don't know, but my guess is that the indirect buffer thing is already
>>>> a good starting point for Stefan/Matt.
>>>
>>> Indeed.  I believe it is now fixed.  Please confirm,
>>
>> Hi stefan,
>>
>> I tried the latest commit, but thhis issue is still existed on macOS and
>> Windows 10.
>>
>> I tested commit 8a5678906fa1b899c4d111e5ee4334b278f50d48 on Windows 10,
>> and commit 2eb2eb0c9ead205935be58ce9bb54465d48b20c8 on macOS Ventura
>> (13.0)
>
> I can't reproduce it anymore (macOS 13, but that shouldn't matter).  I'm
> on d16494cffbed79a916482558ae5ed1bdcc67c88d.
>
> Did you anything different from what you did before?

No, I did the same as before.

I can reproduce the following steps, may be you can have try:

1. emacs -Q , launch Emacs
2. M-x org-capture, and then type `t` (task)
   Now the buffer CAPTURE-.notes will open with contents as bellow:

   ** TODO (now the cursor is here, you can type some characters, such as "test1", and then type C-C C-c )
  [2022-11-03 Thu]

3. C-x b, switch-to-buffer .notes
  The contents is as below:
* Tasks
** TODO test1(move cusror here and type TAB)
  [2022-11-03 Thu]

4. Now the .notes buffer is like this:
* Tasks
** TODO test1...
5. Try step 2 again, now you will see the issue. Now the .notes buffer looks like this:
* Tasks
** TODO test1...TODO
  [2022-11-03 Thu]
  test1

I sented by mac Mail, but look like it failed, so I sent it again with
Gnus. Sorry for sending two time.

-- 
Eason Huang